Subject: [MOBILE-IP] Challenge / Response with co-located FA

From: Fredrik Johansson <[email-masked]>
Date: Fri, 6 Oct 2000 16:07:33 +0300

BlankHi

I have a question concerning how Challenge / Response is supposed to work
when a mobile node registers using a co-located foreign agent.

Since the mobile node does not receive an advertisement with a challenge
from a FA it cannot calculate a response to be used in a MN-AAA
Authentication extension, i.e., the Home Agent cannot use a Radius server to
authenticate the MN.

Have there been any thoughts in this area, or perhaps a solution in an
earlier thread that I've missed? Thankful for any pointers.

Regards
/Fredrik
-----------------------------------------
Fredrik Johansson

W: +46 (0)8 725 5916
M: +46 (0)70 786 5035
mailto:[email-masked]
http://www.ipunplugged.com

---

From: Woo-June Kim <[email-masked]>
Date: Wed, 11 Oct 2000 15:33:22 +0900

Yes.

>Hi,
>
>the mobile node generates the challenge and send the request to the home
>agent. The home agent will then include the same challenge in the
>registration reply, is it up to the implementation of the co-located foreign
>agent to remove the challenge before giving it to the mobile client so it is
>not misstaken for a new challenge that can be sent in the registration reply
>for use in the next registration?
>
>/Fredrik
>
>> -----Original Message-----
>> From: IP Routing for Wireless/Mobile Hosts (mobile-ip)
>> [mailto:[email-masked]]On Behalf Of Woo-June Kim
>> Sent: den 6 oktober 2000 17:28
>> To: [email-masked]
>> Subject: Re: [MOBILE-IP] Challenge / Response with co-located FA
>>
>>
>> Fredrik,
>>
>> The mobile node itself just generates a random number to use as
>> the challenge. The response can only be correctly calculated by
>> the mobile if it knows the correct key and algorithm. The AAA is
>> simply using this fact to check the mobile's identity in a
>> round-about manner. The challenge value itself is not something
>> that must be generated in some special manner.
>>
>> cheers
>>
>> >BlankHi
>> >